Bug 63113 - Start script refers to non/existing /etc/init.d directory
Start script refers to non/existing /etc/init.d directory
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: tcpdump (Show other bugs)
6.2
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-10 03:12 EDT by Pytela, Zdenek
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-10-04 03:22:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pytela, Zdenek 2002-04-10 03:12:50 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.9-31smp i686)

Description of problem:
/etc/rc.d/init.d/arpwatch refers to /etc/init.d/functions, but directory
/etc/init.d doesn't exist in this distribution version.
Quick fix: ln -s rc.d/init.d /etc/init.d

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.service arpwatch status
 
	

Actual Results:  /etc/rc.d/init.d/arpwatch: /etc/init.d/functions: No such file
or directory
/etc/rc.d/init.d/arpwatch: status: command not found


Expected Results:  arpwatch (pid 499) is running...

Additional info:
Comment 1 Harald Hoyer 2002-04-10 06:32:03 EDT
oops
Comment 2 Pytela, Zdenek 2002-04-18 04:07:02 EDT
One more thing: new user pcap is created with shell /sbin/nologin, which doesn't
exist in 6.2 version of util-linux (2.10f-7).
Comment 3 Mark J. Cox (Product Security) 2002-10-04 03:22:08 EDT
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2002-094.html

Note You need to log in before you can comment on or make changes to this bug.